Package: org.codehaus.groovy.runtime.m12n

## [Java] Class StandardPropertiesModuleFactory

- org.codehaus.groovy.runtime.m12n.StandardPropertiesModuleFactory

-     public class StandardPropertiesModuleFactory
      extends PropertiesModuleFactory

  This is the standard Groovy module factory. This factory will build a module using the MetaInfExtensionModule by default, unless a key named "moduleFactory" is found in the properties file. If this is the case, then a new factory is instantiated and used instead of this factory.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_FACTORY_KEY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class PropertiesModuleFactory` | `MODULE_NAME_KEY, MODULE_VERSION_KEY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ExtensionModule` | `newModule(Properties properties, ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PropertiesModuleFactory` | `newModule`

- - ### Field Detail

    - #### public static final String MODULE_FACTORY_KEY

  - ### Method Detail

    - #### @Override
      @SuppressWarnings("unchecked")
      public ExtensionModule newModule(Properties properties, ClassLoader classLoader)